<?php

namespace Lc\ShopBundle\Model;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;
use Lc\ShopBundle\Context\TreeInterface;

/**
 * @ORM\MappedSuperclass()
 */
abstract class ProductCategory extends AbstractDocumentEntity implements TreeInterface
{

        /**
         * @ORM\ManyToOne(targetEntity="Lc\ShopBundle\Context\ProductCategoryInterface", inversedBy="childrens")
         */
        protected $parent;

        /**
         * @ORM\OneToMany(targetEntity="Lc\ShopBundle\Context\ProductCategoryInterface", mappedBy="parent")
         */
        protected $childrens;

        public function __toString()
        {
                // TODO: Implement __toString() method.
                return $this->getTitle();
        }

        public function __construct()
        {
                $this->childrens = new ArrayCollection();
        }



        public function getParent(): ?self
        {
                return $this->parent;
        }

        public function setParent(?self $productCategory): self
        {
                $this->parent = $productCategory;

                return $this;
        }

        /**
         * @return Collection|self[]
         */
        public function getChildrens(): Collection
        {
                return $this->childrens;
        }

        public function addChildren(self $productCategory): self
        {
                if (!$this->childrens->contains($productCategory)) {
                        $this->childrens[] = $productCategory;
                        $productCategory->setParent($this);
                }

                return $this;
        }

        public function removeChildren(self $productCategory): self
        {
                if ($this->childrens->contains($productCategory)) {
                        $this->childrens->removeElement($productCategory);
                        // set the owning side to null (unless already changed)
                        if ($productCategory->getParent() === $this) {
                                $productCategory->setParent(null);
                        }
                }

                return $this;
        }
}
